Ticket #41973

gtk3.22 client log does not show turn number ?

Open Date: 2021-04-11 16:31 Last Update: 2021-04-29 18:12

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

3.beta1

I find difficult to search in the gtk.client.log as it does not show the turn (as does the server log )

Client log :

3: in get_packet_from_connection_raw() [packets.c::526]: got packet type=(PACKET_BEGIN_TURN)128 len=4 from server
3: in get_packet_from_connection_raw() [packets.c::526]: got packet type=(PACKET_CHAT_MSG)25 len=25 from server
--
3: in get_packet_from_connection_raw() [packets.c::526]: got packet type=(PACKET_END_TURN)129 len=4 from server
3: in get_packet_from_connection_raw() [packets.c::526]: got packet type=(PACKET_GAME_INFO)16 len=29 from server
--
3: in get_packet_from_connection_raw() [packets.c::526]: got packet type=(PACKET_BEGIN_TURN)128 len=4 from server
3: in get_packet_from_connection_raw() [packets.c::526]: got packet type=(PACKET_THAW_CLIENT)131 len=4 from server
--
3: in get_packet_from_connection_raw() [packets.c::526]: got packet type=(PACKET_END_TURN)129 len=4 from server
3: in get_packet_from_connection_raw() [packets.c::526]: got packet type=(PACKET_GAME_INFO)16 len=29 from server

Server log :

3: [T325 - 2021/04/11 09:10:17] in send_packet_data() [packets.c::214]: sending packet ... 

I guess i missed something , maybe compile option ?

At least where could i add some printf just for trace purpose when a new turn begins ?

Ticket History (3/7 Histories)

2021-04-11 16:31 Updated by: alain_bkr
  • New Ticket "gtk3.22 client log does not show turn number ?" created
2021-04-11 17:45 Updated by: cazfi
Comment

Is attached patch sufficient?

2021-04-11 22:41 Updated by: alain_bkr
Comment

Yes , it works nicely. (now i know in which turn i am lost :)

Thanks

2021-04-12 12:15 Updated by: cazfi
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to 2.6.5
2021-04-12 12:15 Updated by: cazfi
  • Component Update from (None) to Client common
2021-04-29 18:12 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login